﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Core.Primitives;
using Infragistics.UltraChart.Resources.Appearance;
using Infragistics.UltraChart.Resources;
using Infragistics.UltraChart.Core;

namespace ColouringChatITEMS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private DataTable GetColumnData()
        {
            DataTable mydata = new DataTable();
            // Define the columns and their names
            mydata.Columns.Add("Series Labels", typeof(string));
            mydata.Columns.Add("Column A", typeof(double));
            mydata.Columns.Add("Column B", typeof(double));
            mydata.Columns.Add("Column C", typeof(double));
            mydata.Columns.Add("Column D", typeof(double));
            // Add the rows of data
            mydata.Rows.Add(new Object[] { "Series A", 7.8, 1.6, 3.0, 1.02 });
            mydata.Rows.Add(new Object[] { "Series B", 1.7, 1.40, 3.57, 4.5 });
            mydata.Rows.Add(new Object[] { "Series C", 1.72, 2.80, 2.54, 3.7 });
            mydata.Rows.Add(new Object[] { "Series D", 2.7, 3.60, 2.45, 6.7 });

            return mydata;

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraChart1.ChartType = Infragistics.UltraChart.Shared.Styles.ChartType.LineChart;
            ultraChart1.DataSource = GetColumnData();
            ultraChart1.FillSceneGraph+=new Infragistics.UltraChart.Shared.Events.FillSceneGraphEventHandler(ultraChart1_FillSceneGraph);
            ultraChart1.Axis.X2.Visible = true;
        }


        void ultraChart1_FillSceneGraph(object sender, Infragistics.UltraChart.Shared.Events.FillSceneGraphEventArgs e)
        {
            IAdvanceAxis xAxis = (IAdvanceAxis)e.Grid["X"];
            IAdvanceAxis yAxis = (IAdvanceAxis)e.Grid["Y"];

            Box box2 = new Box(new Rectangle(0, 0, 100, 100));
            box2.PE.Stroke= Color.Orange;
            box2.PE.StrokeWidth = 2;
            box2.rect.Y = (int)yAxis.Map(8);
            e.SceneGraph.Add(box2);

            Box box3 = new Box(new Rectangle(0, 0, 100, 100));
            box3.PE.Stroke = Color.Blue;
            box3.PE.StrokeWidth = 2;
            box3.rect.X = (int)xAxis.Map(0);
            box3.rect.Y = (int)yAxis.Map(8.9);
            e.SceneGraph.Add(box3);
        }




      

        private void ultraChart1_ChartDrawItem(object sender, Infragistics.UltraChart.Shared.Events.ChartDrawItemEventArgs e)
        {
            //if (e.Primitive.GetType() == typeof(Box))
            //{
            //    if (e.HasData)
            //    {
            //        if (Int32.Parse(e.Primitive.Value.ToString()) <= 50)
            //        {
            //            e.Primitive.PE = new PaintElement(Color.LightBlue);
            //        }
            //        if (Int32.Parse(e.Primitive.Value.ToString()) > 50)
            //        {
            //            e.Primitive.PE = new PaintElement(Color.Aqua);
            //        }
            //        if (Int32.Parse(e.Primitive.Value.ToString()) > 150)
            //        {
            //            e.Primitive.PE = new PaintElement(Color.YellowGreen);
            //        }
            //        if (Int32.Parse(e.Primitive.Value.ToString()) > 250)
            //        {
            //            e.Primitive.PE = new PaintElement(Color.Orange);
            //        }
            //        if (Int32.Parse(e.Primitive.Value.ToString()) > 350)
            //        {
            //            e.Primitive.PE = new PaintElement(Color.Red);
            //        }
            //    }
                
            //}


            //Text text = e.Primitive as Text;
            //if (text == null)
            //{
            //    return;
            //}

            //double val;

            //if (double.TryParse(text.GetTextString(), out val) == false)
            //{
            //    return;
            //}
            //if (val <= 50)
            //{
            //    text.PE.Fill = Color.LightBlue;
            //}
            //if (val > 50)
            //{
            //    text.PE.Fill = Color.Aqua;
            //}
            //if (val > 150)
            //{
            //    text.PE.Fill = Color.YellowGreen;
            //}
            //if (val > 250)
            //{
            //    text.PE.Fill = Color.Orange;
            //}
            //if (val > 350)
            //{
            //    text.PE.FillImage = new Bitmap(@"D:\Win Cases\ColouringChatITEMS\ColouringChatITEMS\owl.jpg");
            //    ultraChart1.Refresh();
            //}
        }

        private void button1_Click(object sender, EventArgs e)
        {
            ultraChart1.Visible = !ultraChart1.Visible;
        }

      
    }
}
